- Qt 6.4
- Qt 3D
- C++ Classes
- Qt3DRender
- QLevelOfDetailBoundingSphere
- Qt 6.4.2 Reference Documentation

# QLevelOfDetailBoundingSphere Class

class Qt3DRender::QLevelOfDetailBoundingSphere

The QLevelOfDetailBoundingSphere class provides a simple spherical volume, defined by its center and radius. More...

Header: | #include <QLevelOfDetailBoundingSphere>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3drender) target_link_libraries(mytarget PRIVATE Qt6::3drender)
qmake: | QT += 3drender
Since: | Qt 5.9
Instantiated By: | LevelOfDetailBoundingSphere

- List of all members, including inherited members

## Properties

- center : const QVector3D
- radius : const float

## Public Functions

| QLevelOfDetailBoundingSphere(QVector3D center = QVector3D(), float radius = 1.0f)
QVector3D | center() const
float | radius() const

## Detailed Description

## Property Documentation

### `[read-only]` center : const QVector3D

Specifies the center of the bounding sphere

Access functions:

QVector3D | center() const

### `[read-only]` radius : const float

Specifies the radius of the bounding sphere

Access functions:

float | radius() const

## Member Function Documentation

### QLevelOfDetailBoundingSphere::QLevelOfDetailBoundingSphere(QVector3D center = QVector3D(), float radius = 1.0f)

Constructs a new QLevelOfDetailBoundingSphere with the specified center and radius.